← Iitheyibhile
Cima

Scotland

Caledonia North Region League Division 3

#IqelaPWDLPDBPPtsImo
1Aberdeen Wanderers RFC5500–528WWWWW
2Deeside RFC5401–421WWLW
3RAF Lossiemouth RFC5401–320LWWW
4Orkney 2nd XV6303–214WWLWL
5Inverness Craig Dunain RFC4301–313WWWL
6Turriff RFC5203–513WLWLL
7Aberdeen University Medics2200–211WW
8Huntly RFC6105–26WLLLL
9Dyce RFC4103–15LLLW
10Fraserburgh RFC4103–41LLLW
11Peterhead RFC3003–00LLL
12Caithness RFC 2nd XV3003–00LLL

Umthombo: Scottish Rugby · kujongiwe Okt 18, 16:20 · Imo: iziphumo ezintlanu zokugqibela esinazo, ezintsha zisekunene.

Imidlalo neziphumo →

Itheyibhile nganye yileyo ipapashwe yiligi ngokwayo, kuquka amanqaku ebhonasi, ukuthabathwa kwamanqaku nemithetho yokulingana. I-BP iboniswa apho iligi iyipapasha khona; kwezinye iindawo sele ikwi-Pts.